KycTenure

Check details about the length of tenure of the subscriber


Parameters

Name In Type Required Description
org_id path string true ‘none’
body body KycTenureTenure true ‘none’

Request body - instance of KycTenureTenure

1
2
3
4
{
  "phoneNumber": "+123456789",
  "tenureDate": "2023-07-03"
}
Name Type Required Description
phoneNumber KycTenurePhoneNumber true A public identifier addressing a telephone subscription. In mobile networks it corresponds to the MSISDN (Mobile Station International Subscriber Directory Number). In order to be globally unique it has to be formatted in international format, according to E.164 standard, prefixed with ‘+’.
tenureDate string(date) true The date, in RFC 3339 / ISO 8601 compliant format “YYYY-MM-DD”, from which continuous tenure of the identified network subscriber is required to be confirmed. The date must not be in the future (i.e., it must be less than or equal to the current date). If a future date is provided, a 400 INVALID_ARGUMENT error will be returned.

Request example

1
2
3
4
5
6
7
8
9

curl -X POST https://opengateway.masstack.com/v0/orgs/{org_id}/kyc-tenure/check-tenure \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
 --data-raw "{
  'phoneNumber': '+123456789',
  'tenureDate': '2023-07-03'
}" 

Responses

Code Meaning Description Schema
200 OK Respond with tenure information KycTenureTenureInfo
400 Bad Request Problem with the client request. KycTenureApiError
401 Unauthorized Authentication problem with the client request. Unauthorized error. Access Token related errors. KycTenureApiError
403 Forbidden Client does not have sufficient permission. KycTenureApiError
404 Not Found Not Found error. Error if URL is wrong / user is not found. KycTenureApiError
422 Unprocessable Entity Unprocessable entity. The server understands the content type of the request entity and the syntax of the request entity is correct, but it was unable to process the contained instructions. For example, this error can be returned when the subject of the API cannot be identified from the provided parameters or when there is a mismatch between the subject identified from the access token and the one provided in the request. KycTenureApiError

Endpoints

Device Swap

    KycMatch

      Kyc Age Verification

        KycTenure

          Consent Info